Subject: bug#13404: closed (Re: bug#13404: comint-previous-matching-input-from-input is broken (as compared to bash/zsh))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Dec 2013 03:04:02 +0000

Your bug report

#13404: comint-previous-matching-input-from-input is broken (as compared to bash/zsh)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13404: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13404
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13404: comint-previous-matching-input-from-input is broken (as compared to bash/zsh)
From: Chong Yidong <[email-masked]>
To: Le Wang <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Dec 2013 11:03:20 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Wang <[email-masked]> writes:

> I like to bind comint-previous-matching-input-from-input to M-p,
> however the current behavior is to find the first match and move the
> point to the end of the line.
>
> The point should not be moved so that I can press M-p again to find
> the next match.
>
> This is how this command works in zsh and bash.

Looks reasonable.  I've committed your patch, thanks.

Subject: comint-previous-matching-input-from-input is broken (as compared to bash/zsh)
From: Le Wang <[email-masked]>
To: [email-masked]
Date: Thu, 10 Jan 2013 23:18:30 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I like to bind comint-previous-matching-input-from-input to M-p,
however the current behavior is to find the first match and move the
point to the end of the line.

The point should not be moved so that I can press M-p again to find
the next match.

This is how this command works in zsh and bash.

Patch included.

-- 
Le